| Class ConsensusScoreSequenceEntry Wrapper for a pointer to a sequence and a position in this sequence. This is used for unified interfaces for position dependent and independent scores. ConsensusScoreSequenceEntry<TSequence> Include Headers seqan/consensus.h Parameters
TSequence | The underlying sequence of the alignments or gaps. Types: SequenceConcept
Functions
host | Returns reference to sequence from entry.
position | Returns position stored in entry.
value | Returns value of character referenced by entry.
See Also scoreGapOpenHorizontal, scoreGapHorizontal, scoreGapOpenVertical, scoreGapVertical, scoreGapExtendVertical, sequenceEntryForScore, scoreGapExtendHorizontal, score SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56